# $Revision: 1.35.2.5 $, $Date: 2005/10/20 06:23:31 $
#
# Conditional build:
%bcond_without	tests 		# do not perform "make test"
%bcond_with	libresolv	# link against libresolv (creates architecture-dependent package)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	DNS
Summary:	Net::DNS - Perl interface to the DNS resolver
Summary(pl):	Net::DNS - interfejs perlowy do resolvera DNS
Name:		perl-Net-DNS
Version:	0.52
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	035e3ec9156fd73ca8a52308ebc5307c
BuildRequires:	perl-devel >= 1:5.6.1
%if %{with tests}
BuildRequires:	perl-Digest-MD5 >= 2.12
BuildRequires:	perl-Digest-HMAC >= 1.00
BuildRequires:	perl-MIME-Base64 >= 2.11
BuildRequires:	perl-Net-IP >= 1.20
BuildRequires:	perl-Test-Simple >= 0.18
BuildRequires:	perl-Test-Pod >= 0.95
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-112.1
%if !%{with libresolv}
BuildArch:	noarch
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Digest::BubbleBabble)' 'perl(Net::DNS::[^)]*)'

%description
Net::DNS is a DNS resolver implemented in Perl. It allows the
programmer to perform nearly any type of DNS query from a Perl script.

%description -l pl
Net::DNS jest resolverem DNS, zaimplementowanym w Perlu. Pozwala
programicie na wykonanie niemal kadego typu zapytania DNS ze skryptu
Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL </dev/null \
	%{?with_libresolv:      --xs} \
	%{!?with_libresolv:     --noxs} \
	--noonline-tests \
	INSTALLDIRS=site
%{__make} \
	%{?with_libresolv: OPTIMIZE="%{rpmcflags}"}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install demo/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a contrib $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# get rid of pod documentation
%if %{with libresolv}
rm -f $RPM_BUILD_ROOT%{perl_sitearch}/Net/DNS/*.pod
%else
rm -f $RPM_BUILD_ROOT%{perl_sitelib}/Net/DNS/*.pod
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%if %{with libresolv}
%{perl_sitearch}/Net/DNS.pm
%{perl_sitearch}/Net/DNS
%{perl_sitearch}/auto/Net/DNS/DNS.bs
%attr(755,root,root) %{perl_sitearch}/auto/Net/DNS/DNS.so
%else
%{perl_sitelib}/Net/DNS.pm
%{perl_sitelib}/Net/DNS
%endif
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-DNS.spec,v $
Revision 1.35.2.5  2005/10/20 06:23:31  hawk
- merged version 0.52 from HEAD
- adjusted for Ra, release 2

Revision 1.35.2.4  2003/09/09 11:12:32  ankry
- spaces -> tabs

Revision 1.35.2.3  2003/07/11 12:03:06  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.35.2.2  2003/03/13 00:58:12  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.35.2.1  2003/03/10 20:43:46  ankry
- updated to 0.34
- EU::MM::WriteMakefile() hack to prevent stupid questions

Revision 1.35  2003/02/24 20:31:56  radek
- use the __perl macro

Revision 1.34  2003/02/18 15:36:59  ankry
- massive attack: change CPAN URLs

Revision 1.33  2003/02/05 16:19:22  ankry
- autoupdated to 0.33

Revision 1.32  2003/01/08 13:55:00  ankry
- adapterized

Revision 1.31  2003/01/08 13:48:19  mis
- autoupdated to 0.32

Revision 1.30  2002/12/02 11:06:24  ankry
- massive cleaning

Revision 1.29  2002/11/20 12:22:59  mis
- autoupdated to 0.31

Revision 1.28  2002/11/08 16:02:09  radek
- version 0.30

Revision 1.27  2002/10/05 21:18:49  ankry
- updated to 0.29
- removed obsolete patch
- cleanup

Revision 1.26  2002/09/13 10:07:57  misiek
- rel 2, fix unreachable ns problem

Revision 1.25  2002/08/24 17:05:07  radek
- informative summary/description
- version 0.28, added conditional tests, STBR

Revision 1.24  2002/07/20 10:22:06  qboosh
- updated to 0.24, added BRs

Revision 1.23  2002/07/12 09:04:40  qboosh
- new %%doc and cosmetics

Revision 1.22  2002/07/11 08:01:55  depesz
- new version; should work; STBR

Revision 1.21  2002/07/10 08:48:07  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/15 12:56:51  areq
- 0.19, STBR

Revision 1.19  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:33:06  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:18:46  depesz
automatic: Source location unified, Relase Up

Revision 1.15  2002/02/10 15:29:40  depesz
adapterized

Revision 1.14  2002/01/18 02:14:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/19 15:05:02  mis
- buildarch noarch

Revision 1.12  2001/04/17 12:13:10  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/19 03:08:50  kloczek
- removed bogus Patch0.

Revision 1.9  2001/01/19 02:59:15  kloczek
- do not include .packlist in %%files,
- spec adapterized.

Revision 1.8  2001/01/13 00:56:08  dobrek
-Req:perl>=5.6 ;Realase=4;New rpm automat

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:12:37  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
